// To parse this JSON data, do
//
//     final chatMessage = chatMessageFromJson(jsonString);

import 'dart:convert';

class ChatMessage {
  final String user;
  final String bot;
  final DateTime? date;

  ChatMessage({
    required this.user,
    required this.bot,
    required this.date,
  });

  factory ChatMessage.fromRawJson(String str) =>
      ChatMessage.fromJson(json.decode(str) as Map<String, dynamic>);

  String toRawJson() => json.encode(toJson());

  factory ChatMessage.fromJson(Map<String, dynamic> json) => ChatMessage(
        user: json["user"] as String? ?? "",
        bot: json["bot"] as String? ?? "",
        date: DateTime.tryParse(json["date"] as String? ?? ""),
      );

  Map<String, dynamic> toJson() => {
        "user": user,
        "bot": bot,
        "date": date?.toIso8601String(),
      };
}
